Last modified: 2014-02-15 18:37:42 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 51834 - ParserFunctions call to mb_substr() generates lots of warnings
ParserFunctions call to mb_substr() generates lots of warnings
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
ParserFunctions (Other open bugs)
REL1_20-branch
All All
: Lowest minor (vote)
: ---
Assigned To: Nobody - You can work on this!
: easy
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2013-07-22 19:14 UTC by Justin
Modified: 2014-02-15 18:37 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Justin 2013-07-22 19:14:42 UTC
The mb_substr() call in runSub() in ParserFunctions_body.php does not wrap the $inStart parameter in intval() like the similar call two lines later, leading to lots of error log warnings: "PHP Warning: mb_substr() expects parameter 2 to be long, string given in .../ParserFunctions_body.php on line 670".
Comment 1 Andreas Plank 2013-12-14 11:32:41 UTC
After update to MW 1.20.2. on http://offene-naturfuehrer.de we had and have the same issue when running the maintenance script rebuildall.php when it refreshes the links table. I'm not sure if it has to do with the usage of string function {{#sub: }} when there is no length given

Andreas
Comment 2 Gerrit Notification Bot 2014-01-31 16:04:21 UTC
Change 110582 had a related patch set uploaded by Umherirrender:
mb_substr() expects parameter 2 to be long, string given

https://gerrit.wikimedia.org/r/110582
Comment 3 Gerrit Notification Bot 2014-02-15 18:06:30 UTC
Change 110582 merged by Anomie:
mb_substr() expects parameter 2 to be long, string given

https://gerrit.wikimedia.org/r/110582
Comment 4 Umherirrender 2014-02-15 18:37:42 UTC
successfully merged

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links